interface UploadAssetForm {
  name: string
  tags: Array<number>
  gid: string
  pid: string
  filePath: string
  md5: string
  imgPath?: string
  videoPath?: string
}

type GameItem = {
  pid: string
  gid: string
  gameName: string
}

type GameData = {
  [category: string]: GameItem[]
}

interface GameSelectItem {
  value: string
  label: string
  children?: GameSelectItem[]
}

interface ResFileInfo {
  code: number
  md5: string
  path: string
}

interface TagItem {
  id: number
  name: string
  createdAt: string
}

interface TagsRes {
  code: number
  count: number
  data: TagItem[]
}

interface AddTagRes {
  code: number
  data: {
    id: number
  }
}

export type {
  UploadAssetForm,
  GameItem,
  GameData,
  GameSelectItem,
  ResFileInfo,
  TagItem,
  TagsRes,
  AddTagRes,
}
